# std::error_condition::assign

From cppreference.com
< cpp‎ | error‎ | error condition

void assign( int val, const error_category& cat ) noexcept; |  | (since C++11)

Assigns contents to an error condition. Sets the error code to `val` and error category to `cat`.

### Parameters

val | - | error code
cat | - | error category

### Return value

(none)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/error/error_condition/assign&oldid=104970"